Content Management Suggestions API
Introduction
A suggestion is a set of field values sent by your partner on a product. It enables you to examine the suggested fields values before applying them on your products.
The Suggestions API Swagger definition is available on our Product-Live API portal here.
General information
- Rate limit: 100 requests per minute
- Each endpoint is available in two versions: V1 (
https://api.product-live.com/v1/suggestions/...) and V2 (https://api.product-live.com/v2/suggestions/...), with the same routes and parameters. They differ only in the shape ofIMAGEandATTACHMENTfield values: V2 returns them enriched with the full File object, while V1 returns only theirhashandfilename: see the V1/V2 tabs of the Get Suggestion by id response example. In V2 creation requests, file values are provided as an object{ "url": "..." }(see the File fields (V2) example below).
Get Suggestion by id
Request URL
Path parameters
| Parameter | Type | Description |
|---|---|---|
| suggestionId | string | A suggestion id |
Request parameters
None
Request headers
| Header | Type | Description |
|---|---|---|
| accept | string | */* |
| X-Api-Key | string | Your account API key |
Request Body
None
Request Example
bash
curl -X 'GET' \
'GET https://api.product-live.com/v1/suggestions/2185' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>'1
2
3
4
2
3
4
Response example
json
{
"object": "suggestion",
"id": "2185",
"updatedAt": "2022-05-13T07:54:59.000Z",
"createdAt": "2022-05-13T07:54:55.000Z",
"toItemId": "1958624",
"hasCreatedItem": true,
"isAcknowledged": false,
"fromAccountId": "3568",
"screenId": "531059",
"fields": [
{
"key": "EAN",
"type": "IDENTIFIER",
"value": {
"data": "8710103533825"
}
},
{
"key": "LENGTH",
"type": "NUMBER",
"value": {
"data": 42,
"suffix": "cm"
}
},
{
"key": "MAIN_IMAGE",
"type": "IMAGE",
"value": {
"data": {
"hash": "0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef",
"filename": "front-image.jpg"
}
}
},
{
"key": "TECHNICAL_DATA_SHEET",
"type": "ATTACHMENT",
"value": {
"data": {
"hash": "fedcba9876543210fedcba9876543210fedcba9876543210fedcba9876543210",
"filename": "technical_sheet.pdf"
}
}
},
{
"key": "TITLE",
"type": "COMPOSITE",
"multiValued": true,
"value": {
"data": [
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"type": "SINGLE-SELECT",
"value": {
"data": "FRA"
}
},
{
"key": "LOCAL_TITLE",
"type": "SINGLE-LINE-TEXT",
"value": {
"data": "Smartphone 13 mini 5,4\"\" 5G 512 Go Double SIM Vert"
}
}
],
"id": "01KJZ2B0RYBZ8NCMVXFRTTE9VK",
"position": 0
},
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"type": "SINGLE-SELECT",
"value": {
"data": "ENG"
}
},
{
"key": "LOCAL_TITLE",
"type": "SINGLE-LINE-TEXT",
"value": {
"data": "Smartphone 13 mini 5.4\"\" 5G 512GB Dual SIM Green"
}
}
],
"id": "01KJZ2B37XE4731VHS0AF8KZBN",
"position": 1
},
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"type": "SINGLE-SELECT",
"value": {
"data": "DEU"
}
},
{
"key": "LOCAL_TITLE",
"type": "SINGLE-LINE-TEXT",
"value": {
"data": "Smartphone 13 mini 5.4\"\" 5G 512GB Dual SIM Groen"
}
}
],
"id": "01KJZ2B3XYZJGVD8YHTB7Z4MCS",
"position": 2
}
]
}
}
],
"deletedCompositeRows": [],
"deletedFields": [
{
"key": "DESIGNATION",
"type": "SINGLE_LINE_TEXT"
}
]
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
json
{
"object": "suggestion",
"id": "2185",
"updatedAt": "2022-05-13T07:54:59.000Z",
"createdAt": "2022-05-13T07:54:55.000Z",
"toItemId": "1958624",
"hasCreatedItem": true,
"isAcknowledged": false,
"fromAccountId": "3568",
"screenId": "531059",
"fields": [
{
"key": "EAN",
"type": "IDENTIFIER",
"value": {
"data": "8710103533825"
}
},
{
"key": "LENGTH",
"type": "NUMBER",
"value": {
"data": 42,
"suffix": "cm"
}
},
{
"key": "MAIN_IMAGE",
"type": "IMAGE",
"value": {
"data": {
"object": "file",
"id": "1a2b3c4d5e6f70819203a4b5c6d7e8f91a2b3c4d5e6f70819203a4b5c6d7e8f9",
"hash": "0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef",
"url": "https://asset.product-live.com/documents/1234/0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef/1a2b3c4d5e6f70819203a4b5c6d7e8f91a2b3c4d5e6f70819203a4b5c6d7e8f9/front-image.jpg",
"filename": "front-image.jpg",
"extension": "jpg",
"sha256": "0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef",
"md5": "0123456789abcdef0123456789abcdef",
"size": 51930,
"sizeKiloBytes": 52,
"mimeType": "image/jpeg",
"imageWidthPixel": 1200,
"imageHeightPixel": 800
}
}
},
{
"key": "TECHNICAL_DATA_SHEET",
"type": "ATTACHMENT",
"value": {
"data": {
"object": "file",
"id": "2b3c4d5e6f708192a3b4c5d6e7f8091a2b3c4d5e6f708192a3b4c5d6e7f8091a",
"hash": "fedcba9876543210fedcba9876543210fedcba9876543210fedcba9876543210",
"url": "https://asset.product-live.com/documents/1234/fedcba9876543210fedcba9876543210fedcba9876543210fedcba9876543210/2b3c4d5e6f708192a3b4c5d6e7f8091a2b3c4d5e6f708192a3b4c5d6e7f8091a/technical_sheet.pdf",
"filename": "technical_sheet.pdf",
"extension": "pdf",
"sha256": "fedcba9876543210fedcba9876543210fedcba9876543210fedcba9876543210",
"md5": "fedcba9876543210fedcba9876543210",
"size": 253191,
"sizeKiloBytes": 253,
"mimeType": "application/pdf"
}
}
},
{
"key": "TITLE",
"type": "COMPOSITE",
"multiValued": true,
"value": {
"data": [
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"type": "SINGLE-SELECT",
"value": {
"data": "FRA"
}
},
{
"key": "LOCAL_TITLE",
"type": "SINGLE-LINE-TEXT",
"value": {
"data": "Smartphone 13 mini 5,4\"\" 5G 512 Go Double SIM Vert"
}
}
],
"id": "01KJZ2B0RYBZ8NCMVXFRTTE9VK",
"position": 0
},
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"type": "SINGLE-SELECT",
"value": {
"data": "ENG"
}
},
{
"key": "LOCAL_TITLE",
"type": "SINGLE-LINE-TEXT",
"value": {
"data": "Smartphone 13 mini 5.4\"\" 5G 512GB Dual SIM Green"
}
}
],
"id": "01KJZ2B37XE4731VHS0AF8KZBN",
"position": 1
},
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"type": "SINGLE-SELECT",
"value": {
"data": "DEU"
}
},
{
"key": "LOCAL_TITLE",
"type": "SINGLE-LINE-TEXT",
"value": {
"data": "Smartphone 13 mini 5.4\"\" 5G 512GB Dual SIM Groen"
}
}
],
"id": "01KJZ2B3XYZJGVD8YHTB7Z4MCS",
"position": 2
}
]
}
}
],
"deletedCompositeRows": [],
"deletedFields": [
{
"key": "DESIGNATION",
"type": "SINGLE_LINE_TEXT"
}
]
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
List Suggestions
Request URL
Path parameters
None
Request parameters
| Parameter | Type | Description |
|---|---|---|
| page | integer | Optional The page number to retrieve. Default value if missing : 0 |
| size | integer | Optional The number of items per page. Default value if missing : 10 |
Request headers
| Header | Type | Description |
|---|---|---|
| accept | string | */* |
| X-Api-Key | string | Your account API key |
Request Body
None
Example
bash
curl -X 'GET' \
'https://api.product-live.com/v1/suggestions?size=1&page=0' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>1
2
3
4
2
3
4
Response example
json
{
"object": "list",
"data": [
{
"object": "suggestion",
"id": "2185",
"updatedAt": "2022-05-13T07:54:59.000Z",
"createdAt": "2022-05-13T07:54:55.000Z",
"toItemId": "1958624",
"hasCreatedItem": true,
"isAcknowledged": false,
"fromAccountId": "3568",
"screenId": "531059",
"fields": [
{
"key": "EAN",
"type": "IDENTIFIER",
"value": {
"data": "8710103533825"
}
},
{
"key": "LENGTH",
"type": "NUMBER",
"value": {
"data": 42,
"suffix": "cm"
}
},
{
"key": "TITLE",
"type": "COMPOSITE",
"multiValued": true,
"value": {
"data": [
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"type": "SINGLE-SELECT",
"value": {
"data": "FRA"
}
},
{
"key": "LOCAL_TITLE",
"type": "SINGLE-LINE-TEXT",
"value": {
"data": "Smartphone 13 mini 5,4\"\" 5G 512 Go Double SIM Vert"
}
}
],
"id": "01KJZ2B0RYBZ8NCMVXFRTTE9VK",
"position": 0
},
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"type": "SINGLE-SELECT",
"value": {
"data": "ENG"
}
},
{
"key": "LOCAL_TITLE",
"type": "SINGLE-LINE-TEXT",
"value": {
"data": "Smartphone 13 mini 5.4\"\" 5G 512GB Dual SIM Green"
}
}
],
"id": "01KJZ2B37XE4731VHS0AF8KZBN",
"position": 1
},
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"type": "SINGLE-SELECT",
"value": {
"data": "DEU"
}
},
{
"key": "LOCAL_TITLE",
"type": "SINGLE-LINE-TEXT",
"value": {
"data": "Smartphone 13 mini 5.4\"\" 5G 512GB Dual SIM Groen"
}
}
],
"id": "01KJZ2B3XYZJGVD8YHTB7Z4MCS",
"position": 2
}
]
}
}
],
"deletedCompositeRows": [],
"deletedFields": [
{
"key": "DESIGNATION",
"type": "SINGLE_LINE_TEXT"
}
]
}
],
"totalElements": 1
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
Find Suggestions
Request URL
Path parameters
None
Request parameters
| Parameter | Type | Description |
|---|---|---|
| page | integer | Optional The page number to retrieve. Default value if missing : 0 |
| size | integer | Optional The number of items per page. Default value if missing : 10 |
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
See more details on the find request body in the dedicated page Find request.
json
{
"type": "eq",
"field": "hasCreatedItem",
"value": true
}1
2
3
4
5
2
3
4
5
json
{
"type": "and",
"queries": [
{
"type": "eq",
"field": "hasCreatedItem",
"value": true
},
{
"type": "eq",
"field": "isAcknowledged",
"value": false
}
]
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
2
3
4
5
6
7
8
9
10
11
12
13
14
15
Request Example
bash
curl -X 'POST' \
'https://api.product-live.com/v1/suggestions/find?page=0&size=1' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>'
-d '{
"type": "and",
"queries": [
{
"type": "eq",
"field": "hasCreatedItem",
"value": true
},
{
"type": "eq",
"field": "isAcknowledged",
"value": false
}
]
}'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
Response example
json
{
"object": "list",
"data": [
{
"object": "suggestion",
"id": "2185",
"updatedAt": "2022-05-13T07:54:59.000Z",
"createdAt": "2022-05-13T07:54:55.000Z",
"toItemId": "1958624",
"hasCreatedItem": true,
"isAcknowledged": false,
"fromAccountId": "3568",
"screenId": "531059",
"fields": [
{
"key": "EAN",
"type": "IDENTIFIER",
"value": {
"data": "8710103533825"
}
},
{
"key": "LENGTH",
"type": "NUMBER",
"value": {
"data": 42,
"suffix": "cm"
}
},
{
"key": "TITLE",
"type": "COMPOSITE",
"multiValued": true,
"value": {
"data": [
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"type": "SINGLE-SELECT",
"value": {
"data": "FRA"
}
},
{
"key": "LOCAL_TITLE",
"type": "SINGLE-LINE-TEXT",
"value": {
"data": "Smartphone 13 mini 5,4\"\" 5G 512 Go Double SIM Vert"
}
}
],
"id": "01KJZ2B0RYBZ8NCMVXFRTTE9VK",
"position": 0
},
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"type": "SINGLE-SELECT",
"value": {
"data": "ENG"
}
},
{
"key": "LOCAL_TITLE",
"type": "SINGLE-LINE-TEXT",
"value": {
"data": "Smartphone 13 mini 5.4\"\" 5G 512GB Dual SIM Green"
}
}
],
"id": "01KJZ2B37XE4731VHS0AF8KZBN",
"position": 1
},
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"type": "SINGLE-SELECT",
"value": {
"data": "DEU"
}
},
{
"key": "LOCAL_TITLE",
"type": "SINGLE-LINE-TEXT",
"value": {
"data": "Smartphone 13 mini 5.4\"\" 5G 512GB Dual SIM Groen"
}
}
],
"id": "01KJZ2B3XYZJGVD8YHTB7Z4MCS",
"position": 2
}
]
}
}
],
"deletedCompositeRows": [],
"deletedFields": [
{
"key": "DESIGNATION",
"type": "SINGLE_LINE_TEXT"
}
]
}
],
"totalElements": 1
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
Apply some fields of a Suggestion
Request URL
Path parameters
| Parameter | Type | Description |
|---|---|---|
| suggestionId | string | A suggestion id |
Request parameters
None
Request Body
json
{
"isAcknowledged": true,
"fieldsKey": [
"EAN",
"CLASSIFICATION",
"DESCRIPTION"
],
"compositeFields": [
{
"type": "NEW_ENTRY",
"compositeFieldKey": "TITLE",
"fromSuggestionRowId": "01KKKQ47DXT15MKQEG6BKMXY1H",
"fieldsKey": [
"LOCAL_LANGUAGE",
"LOCAL_TITLE"
],
"compositeFields": [
{...}
]
},
{
"type": "LINK",
"compositeFieldKey": "TITLE",
"fromSuggestionRowId": "01KMG8DF7MWTBEPBR16Y261ZCM",
"toItemRowId": "01KKVDYGGARF66NKZZR8JW2C5R",
"fieldsKey": [
"LOCAL_LANGUAGE",
"LOCAL_TITLE"
]
},
{
"type": "DELETE_ENTRY",
"compositeFieldKey": "TITLE",
"toItemRowId": "01KMG8DBZD7YFVEQBV4M01JTAM"
}
]
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
json
{
"fieldsKey": [
"EAN",
"CLASSIFICATION",
"DESCRIPTION"
],
"compositeFields": [
{
"type": "NEW_ENTRY",
"compositeFieldKey": "TITLE",
"fromSuggestionRowId": "01KKKQ47DXT15MKQEG6BKMXY1H",
"fieldsKey": [
"LOCAL_LANGUAGE",
"LOCAL_TITLE"
],
"compositeFields": [
{...}
]
},
{
"type": "LINK",
"compositeFieldKey": "TITLE",
"fromSuggestionRowId": "01KMG8DF7MWTBEPBR16Y261ZCM",
"toItemRowId": "01KKVDYGGARF66NKZZR8JW2C5R",
"fieldsKey": [
"LOCAL_LANGUAGE",
"LOCAL_TITLE"
]
},
{
"type": "DELETE_ENTRY",
"compositeFieldKey": "TITLE",
"toItemRowId": "01KMG8DBZD7YFVEQBV4M01JTAM"
}
]
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
json
{
"isAcknowledged": true
}1
2
3
2
3
TIP
You can either mark a suggestion as read (acknowledged) and/or apply fields from that suggestion.
When applying fields, you must provide a valid list of field keys (one to many keys). If a field key is missing in the suggestion, no field is applied.
There is no difference for applying a field value or a field deletion. You just have to list the field. Depending on there is a suggested value or deletion, the field will be updated with the suggested value or emptied.
Request Example
bash
curl -X 'POST' \
'https://api.product-live.com/v1/suggestions/88/apply' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>'
-d '{
"isAcknowledged": true,
"fieldsKey": [
"EAN",
"CLASSIFICATION",
"DESCRIPTION"
]
}'1
2
3
4
5
6
7
8
9
10
11
12
2
3
4
5
6
7
8
9
10
11
12
Response example
None
Apply all fields of a Suggestion
Request URL
Path parameters
| Parameter | Type | Description |
|---|---|---|
| suggestionId | string | A suggestion id |
Request parameters
None
Request Body
json
{
"isAcknowledged": true
}1
2
3
2
3
json
{
"isAcknowledged": false
}1
2
3
2
3
TIP
When applying all suggested fields, you can optionally mark the suggestion as read (acknowledged).
Both suggested fields values and suggested fields deletion are applied.
Request Example
bash
curl -X 'POST' \
'https://api.product-live.com/v1/suggestions/88/apply' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>'
-d '{
"isAcknowledged": true
}'1
2
3
4
5
6
7
2
3
4
5
6
7
Response example
None
Create a Suggestion
Request URL
Path parameters
None
Request parameters
None
Request Body
json
{
"object": "suggestion-create",
"itemId": "1958624",
"screenId": "531059",
"hasCreatedItem": true,
"publicationId": "694314"
}1
2
3
4
5
6
7
2
3
4
5
6
7
json
{
"object": "suggestion-create",
"itemId": "1958624",
"screenId": "531059",
"hasCreatedItem": true,
"publicationId": "694314",
"includedFieldKeys": [
"LENGTH"
],
"excludedFieldKeys": [
"DESIGNATION"
]
}1
2
3
4
5
6
7
8
9
10
11
12
13
2
3
4
5
6
7
8
9
10
11
12
13
json
{
"object": "suggestion-create",
"itemId": "1958624",
"screenId": "531059",
"hasCreatedItem": true,
"emitterName": "My ERP",
"fields": [
{
"key": "EAN",
"value": {
"data": "8710103533825"
}
},
{
"key": "LENGTH",
"value": {
"data": 42,
"suffix": "cm"
}
},
{
"key": "MAIN_IMAGE",
"type": "IMAGE",
"value": {
"data": "https://asset.prod.product-live.com/file-map/5fcf4cc59996ce7867966017_documents/redirect/35b9dee447d5a0d65561825211c00f49f445db173a9c98c07fee6530b4a4572c/35b9dee447d5a0d65561825211c00f49f445db173a9c98c07fee6530b4a4572c"
}
},
{
"key": "TECHNICAL_DATA_SHEET",
"type": "ATTACHMENT",
"value": {
"data": {
"hash": "c4fa120d091d177023a712e19a828871b65689703c887baf48cebf22c48b669e",
"filename": "techincal_sheet.pdf"
}
}
},
{
"key": "TITLE",
"value": {
"data": [
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"value": {
"data": "FRA"
}
},
{
"key": "LOCAL_TITLE",
"value": {
"data": "Smartphone 13 mini 5,4\"\" 5G 512 Go Double SIM Vert"
}
}
],
"id": "01KJZ2B0RYBZ8NCMVXFRTTE9VK",
"position": 0
},
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"value": {
"data": "ENG"
}
},
{
"key": "LOCAL_TITLE",
"value": {
"data": "Smartphone 13 mini 5.4\"\" 5G 512GB Dual SIM Green"
}
}
],
"id": "01KJZ2B37XE4731VHS0AF8KZBN",
"position": 1
},
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"value": {
"data": "DEU"
}
},
{
"key": "LOCAL_TITLE",
"value": {
"data": "Smartphone 13 mini 5.4\"\" 5G 512GB Dual SIM Groen"
}
}
],
"id": "01KJZ2B3XYZJGVD8YHTB7Z4MCS",
"position": 2
}
]
}
}
],
"deletedFields": [
"DESIGNATION",
"OFFER"
]
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
json
{
"object": "suggestion-create",
"itemId": "1958624",
"screenId": "531059",
"emitterName": "My ERP",
"fields": [
{
"key": "MAIN_IMAGE",
"type": "IMAGE",
"value": {
"data": {
"url": "https://my-server.com/images/front-image.jpg"
}
}
},
{
"key": "TECHNICAL_DATA_SHEET",
"type": "ATTACHMENT",
"value": {
"data": {
"url": "https://my-server.com/documents/technical_sheet.pdf"
}
}
}
]
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
TIP
When a suggestion is created, whether from a publication or from scratch, only the fields available on the target screen are included in the suggestion. All fields, from the publication or the list, that do not exist on the target screen are omitted in the created suggestion.
When creating a suggestion from scratch with an
IMAGEor anATTACHMENTyou can either provide the public url of the file, or the id of a previously uploaded file with the Data FactoryFilesAPI.In V2 (
https://api.product-live.com/v2/suggestions), the value of anIMAGEor anATTACHMENTfield is provided as an object{ "url": "..." }instead (see the File fields (V2) example).
Request Example
bash
curl -X 'POST' \
'https://api.product-live.com/v1/publications' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>'
-d '{
"object": "suggestion-create",
"itemId": "1958624",
"screenId": "531059",
"hasCreatedItem": true,
"publicationId": "694314"
}'1
2
3
4
5
6
7
8
9
10
11
2
3
4
5
6
7
8
9
10
11
Response example
json
{
"object": "suggestion",
"id": "2185",
"updatedAt": "2022-05-13T07:54:59.000Z",
"createdAt": "2022-05-13T07:54:55.000Z",
"toItemId": "1958624",
"hasCreatedItem": false,
"isAcknowledged": false,
"fromAccountId": "3568",
"screenId": "531059",
"fields": [
{
"key": "ID",
"type": "IDENTIFIER",
"value": {
"data": "8710103533825"
}
},
{
"key": "LENGTH",
"type": "NUMBER",
"value": {
"data": 42,
"suffix": "cm"
}
},
{
"key": "TITLE",
"type": "COMPOSITE",
"multiValued": true,
"value": {
"data": [
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"type": "SINGLE-SELECT",
"value": {
"data": "FRA"
}
},
{
"key": "LOCAL_TITLE",
"type": "SINGLE-LINE-TEXT",
"value": {
"data": "Smartphone 13 mini 5,4\"\" 5G 512 Go Double SIM Vert"
}
}
],
"id": "01KJZ2B0RYBZ8NCMVXFRTTE9VK",
"position": 0
},
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"type": "SINGLE-SELECT",
"value": {
"data": "ENG"
}
},
{
"key": "LOCAL_TITLE",
"type": "SINGLE-LINE-TEXT",
"value": {
"data": "Smartphone 13 mini 5.4\"\" 5G 512GB Dual SIM Green"
}
}
],
"id": "01KJZ2B37XE4731VHS0AF8KZBN",
"position": 1
},
{
"data": [
{
"key": "LOCAL_LANGUAGE",
"type": "SINGLE-SELECT",
"value": {
"data": "DEU"
}
},
{
"key": "LOCAL_TITLE",
"type": "SINGLE-LINE-TEXT",
"value": {
"data": "Smartphone 13 mini 5.4\"\" 5G 512GB Dual SIM Groen"
}
}
],
"id": "01KJZ2B3XYZJGVD8YHTB7Z4MCS",
"position": 2
}
]
}
}
],
"deletedCompositeRows": [],
"deletedFields": [
{
"key": "DESIGNATION",
"type": "SINGLE_LINE_TEXT"
}
]
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104